wxColourDatabase Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxColourDatabase Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/gdicmn.h>`

## Detailed Description

wxWidgets maintains a database of standard RGB colours for a predefined set of named colours.

The application may add to this set if desired by using AddColour() and may use it to look up colours by names using Find() or find the names for the standard colour using FindName().

There is one predefined, global instance of this class called wxTheColourDatabase.

The standard database contains at least the following colours:

AQUAMARINE BLACK BLUE BLUE VIOLET BROWN CADET BLUE CORAL CORNFLOWER BLUE CYAN DARK GREY DARK GREEN DARK OLIVE GREEN DARK ORCHID DARK SLATE BLUE DARK SLATE GREY DARK TURQUOISE DIM GREY | FIREBRICK FOREST GREEN GOLD GOLDENROD GREY GREEN GREEN YELLOW INDIAN RED KHAKI LIGHT BLUE LIGHT GREY LIGHT STEEL BLUE LIME GREEN MAGENTA MAROON MEDIUM AQUAMARINE MEDIUM BLUE | MEDIUM FOREST GREEN MEDIUM GOLDENROD MEDIUM ORCHID MEDIUM SEA GREEN MEDIUM SLATE BLUE MEDIUM SPRING GREEN MEDIUM TURQUOISE MEDIUM VIOLET RED MIDNIGHT BLUE NAVY ORANGE ORANGE RED ORCHID PALE GREEN PINK PLUM PURPLE | RED SALMON SEA GREEN SIENNA SKY BLUE SLATE BLUE SPRING GREEN STEEL BLUE TAN THISTLE TURQUOISE VIOLET VIOLET RED WHEAT WHITE YELLOW YELLOW GREEN

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See also
  wxColour

## Public Member Functions
| wxColourDatabase ()
| Constructs the colour database.
void | AddColour (const wxString &colourName, const wxColour &colour)
| Adds a colour to the database.
wxColour | Find (const wxString &colourName) const
| Finds a colour given the name.
wxString | FindName (const wxColour &colour) const
| Finds a colour name given the colour.

## Constructor & Destructor Documentation

## ◆ wxColourDatabase()

wxColourDatabase::wxColourDatabase | ( |  | ) |

Constructs the colour database.

It will be initialized at the first use.

## Member Function Documentation

## ◆ AddColour()

void wxColourDatabase::AddColour | ( | const wxString & | colourName,
|  | const wxColour & | colour )

Adds a colour to the database.

If a colour with the same name already exists, it is replaced.

## ◆ Find()

wxColour wxColourDatabase::Find | ( | const wxString & | colourName | ) | const

Finds a colour given the name.

Returns an invalid colour object (that is, wxColour::IsOk() will return false) if the colour wasn't found in the database.

## ◆ FindName()

wxString wxColourDatabase::FindName | ( | const wxColour & | colour | ) | const

Finds a colour name given the colour.

Returns an empty string if the colour is not found in the database.